Loading...
Searching...
No Matches
Opm::BlackOilSolventExtensiveQuantities< TypeTag, enableSolventV > Class Template Reference

Provides the solvent specific extensive quantities to the generic black-oil module's extensive quantities. More...

`#include <blackoilsolventmodules.hh>`

## Public Member Functions

template<class Dummy = bool>
void | updateVolumeFluxPerm (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Method which calculates the volume flux of the polymer "phase" using the pressure potential gradient of the gas phase and the intrinsic permeability.
template<class Dummy = bool>
void | updateVolumeFluxTrans (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Method which calculates the volume flux of the polymer "phase" using the gas pressure potential difference between cells and transmissibilities.
unsigned | solventUpstreamIndex () const
unsigned | solventDownstreamIndex () const
const Evaluation & | solventVolumeFlux () const
void | setSolventVolumeFlux (const Evaluation &solventVolumeFlux)

## Detailed Description

template<class TypeTag, bool enableSolventV = getPropValue<TypeTag, Properties::EnableSolvent>()>
class Opm::BlackOilSolventExtensiveQuantities< TypeTag, enableSolventV >

Provides the solvent specific extensive quantities to the generic black-oil module's extensive quantities.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilsolventmodules.hh